# HaruPage::concat

(PECL haru >= 0.0.1)

HaruPage::concat — Concatenate current transformation matrix of the page and the specified matrix

### Description

HaruPage::concat ( float `$a` , float `$b` , float `$c` , float `$d` , float `$x` , float `$y` ) : bool

Concatenates current transformation matrix of the page and the specified matrix.

### Parameters

`a`

`b`

`c`

`d`

`x`

`y`

### Return Values

Returns `TRUE` on success.

### Errors/Exceptions

Throws a HaruException on error.